Skip to main content
GET
/
farms
/
info
/
lp
Get farms by LP mint
curl --request GET \
  --url https://api-v3.raydium.io/farms/info/lp
{
  "id": "<string>",
  "success": true,
  "msg": "<string>",
  "data": {
    "count": 123,
    "data": [
      {
        "id": "<string>",
        "lpMint": "<string>",
        "rewardMints": [
          "<string>"
        ],
        "apr": 123
      }
    ],
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.raydium.io/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

lp
string
required
pageSize
integer
required
Required range: 1 <= x <= 100
page
integer
required
Required range: x >= 1

Response

200 - application/json

Success

Common response envelope. The data field is supplied by each endpoint's response schema via allOf and is therefore not declared on the base envelope.

id
string
required

Request ID (UUID)

success
boolean
required

Whether the request was successful

msg
string

Error message if success is false

data
object